Subject: bug#39977: 28.0.50; Unhelpful stack trace

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Mar 2020 20:41:42 +0200

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sun, 15 Mar 2020 18:49:21 +0100
> 
>  > And what do you suggest to do if the frame at RHS is not live?
> 
> Sorry, what is RHS?

Right-hand side.

> As far as xdisp.c is concerned it simply must not set selected_frame
> to a dead frame.

I don't think that's possible in xdisp.c cases you've shown.

> Never ever.

Why not?

> As far as frame.c is concerned, it should do something like in the
> attached patch.

We cannot punt like that in the display engine.

>  > Why do you think this is a problem for redisplay?
> 
> I didn't say that this is a problem for redisplay.  What I wanted to say
> is that your fix which is supposed to handle a (maybe only temporary)
> problem inside redisplay might cause more serious problems when
> selecting a dead frame outside of redisplay.  But maybe I'm confusing
> things.

So you are saying that selecting such a frame will cause trouble to
some other code, not to the display engine?